QuestionPro deixa de suportar a criptografia TLS 1.1

Como a segurança dos dados de nossos usuários e respondentes são de suma importância, a QuestionPro não suportará mais a criptografia TLS 1.1 a partir de 31 de julho de 2021. Depois disso, continuaremos a apoiar as versões TLS 1.2 e superiores.


 

O que é criptografia TLS?

A criptografia TLS 1.1 é um protocolo de criptografia utilizado para fazer conexões seguras entre aplicações e servidores através da Internet.

Atualmente existem três versões do protocolo TLS em uso: TLS 1.0, 1.1 e 1.2. O TLS 1.1 foi especificado originalmente em abril de 2006. Desde então, foram descobertas vulnerabilidades nesta versão. Essas vulnerabilidades foram abordadas em versões posteriores do TLS, junto a outros aprimoramentos.

Seguindo as melhores práticas do setor, decidimos descontinuar o apoio ao TLS 1.1.

 

O que fazer agora que a QuestionPro não suportará mais a criptografia TLS 1.1?

 

Se você estiver usando a última versão de qualquer navegador, você não precisa fazer nada.

Se você estiver usando um navegador desatualizado que não suporta a criptografia TLS 1.2 ou posterior, por favor atualize para uma versão mais recente para continuar usando nossos produtos sem problemas.

Datas-chave:

  • SurveyAnalytics: 17 de julho de 2021
  • QuestionPro: 31 de julho de 2021

Esta atualização também se aplica ao uso de API. Não suportaremos mais conexões criptografadas TLS 1.1.

 

Como sei se meu navegador suporta o TLS 1.2?

 

Consulte a tabela abaixo para saber se você precisa atualizar seu navegador:

 

Navegador Versão suportada
Internet Explorer 11 y superior
Microsoft Edge Todas as versões
Firefox 27 e superior
Chrome 38 e superior
Android 5 e superior
Safari (Desktop) 7 e superior
Safari (Mobile) 5 e superior

 

Os consumidores da API QuestionPro devem atualizar seus clientes HTTP, bibliotecas e stack de rede para usar a criptografia TLS 1.2 para fazer solicitações. Se sua stack de rede usa OpenSSL, verifique se OpenSSL 1.0.1+ é usado, já que o suporte TLS 1.2 foi introduzido posteriormente.

 

E se eu não utilizar a criptografia TLS 1.1?

 

Você pode ter dificuldades para acessar nossos produtos se você ainda estiver usando um navegador que não suporta o TLS 1.2, pois eles não suportam mais a criptografia TLS 1.1.

Alguns dos problemas que você pode enfrentar:

  • Problemas de login
  • Acesso ao site
  • Dificuldade ao usar o chat ao vivo
  • Problemas de registro
  • Questões de carregamento da pesquisa para os respondentes
  • Falhas na chamada API

 

Na QuestionPro, valorizamos sua segurança e experiência do usuário, por isso desenvolvemos nossos produtos de acordo com as mais recentes tecnologias e protocolos de segurança.

Felizmente, a maioria de nossos clientes já mudou para navegadores modernos. O fim do suporte TLS 1.1 nos permitirá focar em soluções mais rápidas, modernas e mais seguras e inovadoras.

 

Para quaisquer dúvidas e informações sobre a criptografia TLS 1.1, entre em contato conosco via e-mail.


 

Agora é hora de usar o melhor software de pesquisa online do mercado! Conheça todos os nossos produtos, recursos e licenças em uma demonstração da plataforma QuestionPro sem compromissos e totalmente em português.

 

Agendar demonstração grátis